MINOVAIS SILVER PACKAGE - Bug #1635

[HR - Time Management] Absence Quota tidak menghitung jumlah hari yang diambil, sehingga tidak
berkurang.

09/27/2022 02:06 PM - Fiona Avangeline Jonathan

Status: Closed Start date: 09/27/2022
Priority: Urgent Due date: 09/30/2022
Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.30 hours
Description

Dear Team Developer,

Mohon bantuannya untuk menangani masalah yang terjadi, yaitu absence quota di HR tidak menghitung jumlah hari yang ditentukan
selain WSType 5D8H, sehingga quota tidak berkurang.
sudah melakukan penambahan di table PHRTMWSTYP, PHRTMWSGEN, PHRTMWSCAL.

Mungkin yang harus dirubah adalah enginenya, tetapi jangan dihardcode, dan tetep baca sesuai WS nya employee masing-masing.
contoh employee : 10000148

Port : http://demo.minovais.com:61199/

Server : 45.251.75.66

DB : MinovaES_Silver_Package
Menu : HR > HR Administration > Time Management > Time Data > Absence

Semoga dapat dimengerti
Terimakasih

clipboard-202209271118-unfnl.png

History

#1 - 09/27/2022 02:08 PM - Fiona Avangeline Jonathan
- File deleted (clipboard-202209271118-unfnl.png)

#2 - 09/27/2022 02:08 PM - Fiona Avangeline Jonathan
- File clipboard-202209271408-6szb9.png added
http://demo.minovais.com:61199/

Time Data

HOME = TIME DATA

Employee Overview - 10000148 - ERICSSON

Employes 1D: 10000148 Company [D: MINOVAIS |

Full Name: ERICS50N Employee Office: Minova | (Jakarta)

Employes Status: Active Organization: Product Improvement

Employes Type: Outsource Position: Product Improvement

Overtima Absence Quota Attendance Work Schedule Personal Work Sch

Start Date: 27/09/2022 v Notes:
End Date: 27/09/2022
Absence Type: Cuti Tahunan Karyawar| ~ | Create By:
Delegate To: Create Date:
Absence Address:

Change By:

Absence Phone: Change Date:

Total Absence Taken: 0

8 oo

#3 - 09/27/2022 02:38 PM - Fiona Avangeline Jonathan

- Description updated

#4 - 09/29/2022 07:31 AM - Mr. Yusuf
- Assignee changed from Mr. Yusuf to M Azid Wahyudi

#5 - 10/09/2022 03:11 PM - M Azid Wahyudi

dear fiona , udah bisa di test ya

package :
update mdgenerator :

update file ...\Ul\scripts\mdgenerator.js

pada line 126 menjadi :

waitMsg: 'Saving Data...",

success: function (response) {

var result = Ext.decode(response.responseText);
if (result.success) {

if (tableName =="PHRPA0018') {

var RemainQuota = frm.getValues().TotalAbsenceTaken;
var EmployeelD = frm.getValues().EmployeelD;

var AbsenceQuotaType = frm.getValues().AbsenceType;
MinovaUtil. ExecuteParamQuery({

ID: "SETPHRPA0017",

RemainQuota:RemainQuota,

EmployeelD:EmployeelD,
AbsenceQuotaType:AbsenceQuotaType

}, function(s) {

try {

var result = Ext.decode(s.responseText).data;

var dataGrid = Ext.decode(Ext.decode(result));

} catch (e) {}

}, function(f) {});

1

TAMBAHAN PADA TABLE PCMWFCUSTPARAM

ID: SETPHRPA0017

update API1 dan API2 :
API1 = MinovalS.MinovaES.Implementation.Data.Element.dll

07/03/2025 2/3



API2 = MinovalS.MinovaES.Implementation.Data.Element.dl|

create sp :

- GetTotalTaken

cek di table PCMFUNC
- fnHitungAbsen2

makasih

#6 - 10/09/2022 03:11 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan

#7 - 10/10/2022 09:35 AM - Fiona Avangeline Jonathan
- File clipboard-202210100935-aenio.png added

- Status changed from QA Test to Closed

Done, terima kasih.

Time Data
HOME = TIME DATA

Employee Overview - 10000148 - ERICSSON

Employee ID: 10000148 Company ID: MINOVAIS |
Full Name: ERICSS0ON Employee Office: Minova | (Jakarta)
Employes Status: Active Organization: 00000005
Employes Type: Outsource Position: 00000013
Work Schedule Personal WS Attendance Absence Quota Overtime
Action Clear Filters
Start Da... End Date Absence Type Delegate ... Absence Addre... Absence Phone || Total Absence Tak... Motes
20072022 20M002022  Perkawinan Karyawan 1
181072022 181072022 Cuti Tahunan Karyawan 1
11012022 1110/2022  Cuti Tahunan Karyawan 1
Files
clipboard-202209271408-6szb9.png 80.5 KB 09/27/2022 Fiona Avangeline Jonathan
clipboard-202210100935-aenio.png 78.1 KB 10/10/2022 Fiona Avangeline Jonathan
